Bug 1295002 - [abrt] gnome-session: _XInternAtom(): gnome-session-check-accelerated killed by SIGSEGV
[abrt] gnome-session: _XInternAtom(): gnome-session-check-accelerated killed ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:c1846ff03781afbbb4279a7a309...
:
: 1318398 1371918 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-31 13:05 EST by markko.merzin
Modified: 2016-12-20 12:31 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:31:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.39 KB, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: cgroup (189 bytes, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: core_backtrace (1.40 KB, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: dso_list (8.08 KB, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: environ (766 bytes, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: maps (36.27 KB, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: mountinfo (3.21 KB, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: open_fds (874 bytes, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: proc_pid_status (992 bytes, text/plain)
2015-12-31 13:05 EST, markko.merzin
no flags Details
File: backtrace (23.53 KB, text/plain)
2016-06-07 00:28 EDT, Hugo
no flags Details

  None (edit)
Description markko.merzin 2015-12-31 13:05:11 EST
Description of problem:
Hi!

When "Plugable UD-160" usb docking station is connected to system then gdm login screen should appear. 
Instead, docking station powers up but gdm does not appear. Logs and 'loginctl' show that seat is created and 
X starts but gnome-session-chek-accelerated utility crashed somewhere in a process. It happens every time when
docking stations are connected to computer or powered up.

So far i found two workarounds. 

First, when docking stations (i have two) are powered on before main computer then
everything works as expected. Curious that docking stations get X11 display numbers ":0" and ":1"; main computer
gets :2.

Second, when /usr/libexec/gnome-session-check-accelerated binary is renamed and replaced with symlink to /bin/true
then docking stations work. I haven't tested wheter it affects main computers display performance after gdm login 
screen.


Version-Release number of selected component:
gnome-session-3.18.1.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        /usr/libexec/gnome-session-check-accelerated
crash_function: _XInternAtom
executable:     /usr/libexec/gnome-session-check-accelerated
global_pid:     5872
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 _XInternAtom at IntAtom.c:76
 #1 XInternAtom at IntAtom.c:175
 #2 gdk_x11_atom_to_xatom_for_display at gdkproperty-x11.c:115
Comment 1 markko.merzin 2015-12-31 13:05:16 EST
Created attachment 1110790 [details]
File: backtrace
Comment 2 markko.merzin 2015-12-31 13:05:18 EST
Created attachment 1110791 [details]
File: cgroup
Comment 3 markko.merzin 2015-12-31 13:05:19 EST
Created attachment 1110792 [details]
File: core_backtrace
Comment 4 markko.merzin 2015-12-31 13:05:21 EST
Created attachment 1110793 [details]
File: dso_list
Comment 5 markko.merzin 2015-12-31 13:05:22 EST
Created attachment 1110794 [details]
File: environ
Comment 6 markko.merzin 2015-12-31 13:05:24 EST
Created attachment 1110795 [details]
File: exploitable
Comment 7 markko.merzin 2015-12-31 13:05:25 EST
Created attachment 1110796 [details]
File: limits
Comment 8 markko.merzin 2015-12-31 13:05:27 EST
Created attachment 1110797 [details]
File: maps
Comment 9 markko.merzin 2015-12-31 13:05:29 EST
Created attachment 1110798 [details]
File: mountinfo
Comment 10 markko.merzin 2015-12-31 13:05:30 EST
Created attachment 1110799 [details]
File: namespaces
Comment 11 markko.merzin 2015-12-31 13:05:32 EST
Created attachment 1110800 [details]
File: open_fds
Comment 12 markko.merzin 2015-12-31 13:05:33 EST
Created attachment 1110801 [details]
File: proc_pid_status
Comment 13 Andy T 2016-03-16 14:22:58 EDT
*** Bug 1318398 has been marked as a duplicate of this bug. ***
Comment 14 Hugo 2016-06-07 00:28:26 EDT
Similar problem has been detected:

Reinstalled SO and update it remaining untouched /home/[users]
2  users log in correctly but the third doesn't

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-session-check-accelerated
crash_function: _XInternAtom
executable:     /usr/libexec/gnome-session-check-accelerated
global_pid:     21197
kernel:         4.5.5-201.fc23.x86_64
package:        gnome-session-3.18.1.2-2.fc23
reason:         gnome-session-check-accelerated killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            42
Comment 15 Hugo 2016-06-07 00:28:31 EDT
Created attachment 1165481 [details]
File: backtrace
Comment 16 Torkil Svensgaard 2016-08-31 08:33:37 EDT
*** Bug 1371918 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2016-11-24 09:37:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 12:31:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.